package com.hzya.frame.sys.thirdparty.api.parameter.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.thirdparty.api.parameter.dao.ISysThirdpartyapiParameterMapper;
import com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 第三方应用接口参数表  dao
 * @tableName: sys_thirdparty_api_parameter
 * @entityName: SysThirdpartyapiParameter
 * @author: gjh
 * @history:1.0
 */
@Service
public class SysThirdpartyapiParameterMapperImpl extends MybatisGenericDao<SysThirdpartyapiParameter, String> implements ISysThirdpartyapiParameterMapper {

    @Override
    public SysThirdpartyapiParameter entity_get(String id) {
        SysThirdpartyapiParameter o = (SysThirdpartyapiParameter) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<SysThirdpartyapiParameter> entity_list_base(SysThirdpartyapiParameter entity) {
        List<SysThirdpartyapiParameter> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(SysThirdpartyapiParameter entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<SysThirdpartyapiParameter> entity_list_like(SysThirdpartyapiParameter entity) {
        List<SysThirdpartyapiParameter> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<SysThirdpartyapiParameter> entity_list_or(SysThirdpartyapiParameter entity) {
        List<SysThirdpartyapiParameter> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(SysThirdpartyapiParameter entity) {
        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(SysThirdpartyapiParameter entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(SysThirdpartyapiParameter entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(SysThirdpartyapiParameter entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(SysThirdpartyapiParameter entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }

    //逻辑删除    delect_by_ThirdpartyApiId
    @Override
    public Integer delect_by_ThirdpartyApiId(List<String> entity) {
        Integer o = super.update(getSqlIdPrifx() + "delect_by_ThirdpartyApiId", entity);
        return o;
    }
}
